Binding
Keywords: com.icl.saxon.Binding interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Interface Binding

All Known Implementing Classes:
  XSLParam, XSLVariable

public interface Binding

Binding is a interface used to mark objects that represent a variable declaration

Method Summary
`Value` | `constantValue()` Get the value of the variable, if known statically.
`int` | `getDataType()` Get the data type, if known statically.
`int` | `getSlotNumber()` Determine a slot number for the variable.
`int` | `getVariableFingerprint()` Establish the fingerprint of the name of this variable.
`java.lang.String` | `getVariableName()` Get the name of the variable, to use in diagnostics
`boolean` | `isAssignable()` Determine whether the variable is assignable using saxon:assign
`boolean` | `isGlobal()` Determine whether this variable is global

Method Detail

### isGlobal

    public boolean isGlobal()

  Determine whether this variable is global

### getVariableName

    public java.lang.String getVariableName()

  Get the name of the variable, to use in diagnostics

### getVariableFingerprint

    public int getVariableFingerprint()

  Establish the fingerprint of the name of this variable.

### getSlotNumber

    public int getSlotNumber()

  Determine a slot number for the variable.

### getDataType

    public int getDataType()

  Get the data type, if known statically. This will be a value such as Value.BOOLEAN, Value.STRING. If the data type is not known statically, return Value.ANY.

### constantValue

    public Value constantValue()

  Get the value of the variable, if known statically. If the value is not known statically, return null.

### isAssignable

    public boolean isAssignable()

  Determine whether the variable is assignable using saxon:assign

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD